package de.jaujau.UnitTests;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import de.jaujau.daten.Texturenpakete;

class TEST_Texturenpakete {

	private Texturenpakete pakete;
	
	@BeforeEach
	void setUp() throws Exception {
		pakete = new Texturenpakete();
	}

	
	@Test
	void InternesPaket() {
		assertTrue(pakete.getAnzahlPakete()==1);
		//assertTrue(pakete.addPaket("StandartTexturenBeta3.zip"));
		//assertTrue(pakete.getAnzahlPakete()==2);
		assertTrue(pakete.setAktivesPaket(0));
		assertTrue(pakete.getAktivesPaket()==0);
		System.out.println("Test Intern");
		System.out.println("Paket Name: " + pakete.getName(0));
		System.out.println("Paket Level: " + pakete.getLevel(0));
		for(int i = 0; i < 32; i++) {
			assertTrue(pakete.getTextur(i)!=null);
		}
	}	
	

	@Test
	void ExternesPaket() {
		assertTrue(pakete.getAnzahlPakete()==1);
		assertTrue(pakete.addPaket("StandartTexturenBeta3.zip"));
		assertTrue(pakete.getAnzahlPakete()==2);
		assertTrue(pakete.setAktivesPaket(1));
		assertTrue(pakete.getAktivesPaket()==1);
		System.out.println("Test Extern");
		System.out.println("Paket Name: " + pakete.getName(1));
		System.out.println("Paket Level: " + pakete.getLevel(1));
		for(int i = 0; i < 32; i++) {
			assertTrue(pakete.getTextur(i)!=null);
		}
	}

}
